Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class Alignment

    java.lang.Object
      com.plumtree.remote.prc.Alignment

public class Alignment
extends java.lang.Object

An enumerated type used to describe the alignment of a Portlet on a page.

Field Summary
`static Alignment` | `Footer` `Footer` is used for Portlets that are a page footer on a Community page.
`static Alignment` | `Freeform` `Freeform` is used for Portlets that are displayed in the content canvas section of a Community page.
`static Alignment` | `Header` `Header` is used for Portlets that are a page header on a Community page.
`static Alignment` | `Narrow` `Narrow` is used for Portlets that fit into a narrow column on a page.
`static Alignment` | `None` `None`
`static Alignment` | `Wide` `Wide` is used for Portlets that fits into a wide column on a page.

Method Summary
`static Alignment` | `parse(int alignmentCode)`
`static Alignment` | `parse(java.lang.String alignmentName)`
`int` | `toInteger()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### None

    public static Alignment None

  `None`

### Narrow

    public static Alignment Narrow

  `Narrow` is used for Portlets that fit into a narrow column on a page.

### Wide

    public static Alignment Wide

  `Wide` is used for Portlets that fits into a wide column on a page.

### Header

    public static Alignment Header

  `Header` is used for Portlets that are a page header on a Community page.

### Footer

    public static Alignment Footer

  `Footer` is used for Portlets that are a page footer on a Community page.

### Freeform

    public static Alignment Freeform

  `Freeform` is used for Portlets that are displayed in the content canvas section of a Community page.

Method Detail

### parse

    public static Alignment parse(int alignmentCode)

### parse

    public static Alignment parse(java.lang.String alignmentName)

### toInteger

    public int toInteger()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.